<div [ngClass]="popWindow ? 'blur' : 'randomQuotes'">
  <div class="filter">
    <select
      class="custom-select mb-3 bg-dark text-white rounded text-left ps-10 filter"
      (change)="getTagValue($event)"
    >
      <option value="">Select Tag</option>
      <option *ngFor="let tag of tags" value="{{ tag }}">{{ tag }}</option>
    </select>
  </div>

  <div class="container-fluid">
    <div class="row">
      <div
        class="col-md-3 card bg-dark text-white"
        *ngFor="let user of randomQuotes"
      >
        <div class="card-body">
          <div class="card-title icon"><i class="fa-solid fa-user"></i></div>
          <h5
            class="card-title"
            [routerLink]="['/authorquote']"
            [state]="[user]"
            
          >
            {{ user["author"] }}
          </h5>
          <p class="card-text">
            {{ user["content"] }}
          </p>

          <button
            type="button"
            class="btn border-white rounded-pill btn-dark"
            (click)="
              viewFullQuote(
                user['author'],
                user['content'],
                user['tags'],
                user['dateAdded']
              )
            "
          >
            View Full Quote
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- popwindow -->
<ng-container *ngIf="popWindow">
  <div [ngClass]="popWindow ? 'show' : 'hidden'">
    <div class="popUp">
      <app-random-quotes-template
        [data]="quotes"
        (popUpCloseEvent)="closePopup()"
        [popWindow]="popWindow"
      ></app-random-quotes-template>
    </div>
  </div>
</ng-container>
